Bug 128875 - gpg does not work with default non-root mlock settings
gpg does not work with default non-root mlock settings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-07-30 15:28 EDT by Bill Nottingham
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 14:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-07-30 15:28:04 EDT
By default, we permit non-root mlock of up to 4k.

gpg tries to lock 32k, and fails.

We could either:

a) try to fix gpg to work with 4k
b) bump the limit in /etc/security/limits.conf
Comment 1 Rik van Riel 2004-08-17 11:41:49 EDT
The limit should probably be bumped to 32kB, in /etc/security/limits.conf

That way we can:
1) test the mlock patch better
2) see if there are issues with eg. sshd not obeying the limits in
/etc/security/limits.conf
Comment 2 Arjan van de Ven 2004-09-26 09:17:59 EDT
kernel defaults to 32k btw
Comment 3 Bill Nottingham 2004-09-26 14:58:45 EDT
And, it actually works now.

Note You need to log in before you can comment on or make changes to this bug.